"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fixBeetFromValue = exports.fixBeetFromData = void 0;
const types_1 = require("./types");
function fixBeetFromData(beet, buf, offset) {
    if ((0, types_1.isFixedSizeBeet)(beet)) {
        return beet;
    }
    if ((0, types_1.isFixableBeet)(beet)) {
        return beet.toFixedFromData(buf, offset);
    }
    throw new Error(`${beet.description} is neither fixed size nor fixable`);
}
exports.fixBeetFromData = fixBeetFromData;
function fixBeetFromValue(beet, val) {
    if ((0, types_1.isFixedSizeBeet)(beet)) {
        return beet;
    }
    if ((0, types_1.isFixableBeet)(beet)) {
        return beet.toFixedFromValue(val);
    }
    throw new Error(`${beet.description} is neither fixed size nor fixable`);
}
exports.fixBeetFromValue = fixBeetFromValue;
//# sourceMappingURL=beet.fixable.js.map